Page MenuHomePhabricator

AMDGPU: Swap order of operands in fadd/fsub combine
ClosedPublic

Authored by arsenm on Dec 18 2016, 1:51 PM.

Details

Summary

FMA is canonicalized to constant in the middle operand. Do
the same so fmad matches and avoid an extra combine step.

Diff Detail

Event Timeline

arsenm updated this revision to Diff 81892.Dec 18 2016, 1:51 PM
arsenm retitled this revision from to AMDGPU: Swap order of operands in fadd/fsub combine .
arsenm updated this object.
arsenm added a reviewer: nhaehnle.
arsenm added a subscriber: llvm-commits.
tstellarAMD accepted this revision.Dec 19 2016, 2:21 PM
tstellarAMD edited edge metadata.

LGTM.

This revision is now accepted and ready to land.Dec 19 2016, 2:21 PM
arsenm closed this revision.Dec 21 2016, 8:14 PM

r290313